Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind.layers
Class RenderableLayer

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.layers.AbstractLayer
                  gov.nasa.worldwind.layers.RenderableLayer

All Implemented Interfaces:
  AVList, Disposable, Layer, WWObject, PropertyChangeListener, EventListener

    public class RenderableLayer

extends AbstractLayer

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`RenderableLayer()`
`RenderableLayer(Layer delegateOwner)`

Method Summary
`void` | `addRenderable(Renderable renderable)`
`void` | `dispose()`
`protected void` | `doPick(DrawContext dc, Point pickPoint)`
`protected void` | `doRender(DrawContext dc)`
`Layer` | `getDelegateOwner()`
`Collection<Renderable>` | `getRenderables()`
`void` | `removeRenderable(Renderable renderable)`
`void` | `setRenderables(Iterable<Renderable> shapeIterator)`
`String` | `toString()`

Methods inherited from class gov.nasa.worldwind.layers.AbstractLayer
`getMaxActiveAltitude, getMinActiveAltitude, getName, getOpacity, isEnabled, isLayerActive, isLayerInView, isPickEnabled, pick, render, setEnabled, setMaxActiveAltitude, setMinActiveAltitude, setName, setOpacity, setPickEnabled`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Constructor Detail

### RenderableLayer

    public RenderableLayer()

### RenderableLayer

    public RenderableLayer(Layer delegateOwner)

Method Detail

### addRenderable

    public void addRenderable(Renderable renderable)

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`
  Overrides:
    `dispose` in class `AbstractLayer`

### doPick

    protected void doPick(DrawContext dc,
                          Point pickPoint)

  Overrides:
    `doPick` in class `AbstractLayer`

### doRender

    protected void doRender(DrawContext dc)

  Specified by:
    `doRender` in class `AbstractLayer`

### getDelegateOwner

    public Layer getDelegateOwner()

### getRenderables

    public Collection<Renderable> getRenderables()

### removeRenderable

    public void removeRenderable(Renderable renderable)

### setRenderables

    public void setRenderables(Iterable<Renderable> shapeIterator)

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractLayer`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD